<?php

use Drp\NativeEventApp\Migrations\TableMigration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateFailedNotificationsTable extends TableMigration
{
    public function tableName(): string
    {
        return 'failed_notifications';
    }

    public function up(): void
    {
        Schema::create(
            $this->getTableNameWithPrefix(),
            static function (Blueprint $table): void {
                $table->bigIncrements('id');
                $table->unsignedBigInteger('notification_id');
                $table->uuid('device_id');
                $table->text('error');
                $table->timestamps();
                $table->unique(['notification_id', 'device_id']);
            }
        );
    }

    public function down(): void
    {
        Schema::drop($this->getTableNameWithPrefix());
    }
}
