<?php

namespace Drp\NativeEventApp\Exceptions;

use GraphQL\Error\ClientAware;

class InvalidAuthIdentifier extends \Exception implements ClientAware
{
    const INVALID_SIGNATURE = 1;
    const EXPIRED = 2;

    public static function hasInvalidSignature(): self
    {
        return new self('Signature was invalid', self::INVALID_SIGNATURE);
    }

    public static function hasExpired(): self
    {
        return new self('Auth identifier has expired', self::EXPIRED);
    }

    public function isClientSafe(): bool
    {
        return true;
    }

    public function getCategory(): string
    {
        return 'auth';
    }
}
