<?php

namespace Drp\NativeEventApp\GraphQL\Mutations;

use Drp\NativeEventApp\Forms\Facades\FormSubmission;
use Drp\NativeEventApp\Models\Event;
use Drp\NativeEventApp\Models\Registration;
use Nuwave\Lighthouse\Support\Contracts\GraphQLContext;

class SubmitForm
{
    /**
     * @param $rootValue
     * @param array $args
     * @param GraphQLContext $context //phpcs:ignore
     * @return array
     */
    public function __invoke($rootValue, array $args, GraphQLContext $context) // phpcs:ignore
    {
        $authenticatable = $context->tokenAuthenticatable();
        $event = Event::find($args['event']);

        /** @var Registration $registration */
        $registration = Registration::forEventAndAuthenticatable($event, $authenticatable)->first();

        return FormSubmission::process($args['type'], $args['data'], $registration);
    }
}
