<?php

namespace Drp\NativeEventApp\Http\ViewComposers;

use Drp\NativeEventApp\Auth\Facades\AuthInfoFinder;
use Drp\NativeEventApp\Contracts\MagicLinkGenerator;
use Drp\NativeEventApp\Contracts\UserAgent;
use Illuminate\View\View;

class MagicLink
{
    /** @var MagicLinkGenerator */
    private $linkGenerator;

    /** @var Agent */
    private $agent;

    public function __construct(MagicLinkGenerator $linkGenerator, UserAgent $agent)
    {
        $this->linkGenerator = $linkGenerator;
        $this->agent = $agent;
    }

    public function compose(View $view): void
    {
        $user = AuthInfoFinder::current();

        $view->with('url', $this->linkGenerator->url($user));
        $view->with('qrCode', $this->linkGenerator->qrCode($user));
        $view->with('isDesktop', $this->agent->isDesktop());
    }
}
