<?php

namespace Drp\NativeEventApp\Models;

use Illuminate\Database\Eloquent\Relations\BelongsTo;

/**
 * @property \Drp\NativeEventApp\Models\NavigatableItem primary
 */
class Navigation extends Model
{
    /** @var array */
    protected $guarded = [];

    /** @var string */
    protected $table = 'navigations';

    /** @var bool */
    public $timestamps = false;

    public function primary(): BelongsTo
    {
        return $this->belongsTo(NavigatableItem::class, 'primaryId');
    }

    public function secondary(): BelongsTo
    {
        return $this->belongsTo(NavigatableItem::class, 'secondaryId');
    }

    public function menu(): BelongsTo
    {
        return $this->belongsTo(Menu::class, 'menuId');
    }

    public function event(): BelongsTo
    {
        return $this->belongsTo(Event::class, 'eventId');
    }
}
