<?php

namespace Drp\NativeEventApp\Models;

use Illuminate\Database\Eloquent\Builder;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\Relations\HasMany;

class QuizAnswer extends Model
{
    /** @var string  */
    protected $table = 'quiz_answers';

    public $timestamps = false;

    protected $fillable = [
        'quiz_question_id',
        'title',
        'value',
        'image',
        'is_correct',
        'default_percentage',
    ];

    public function quizQuestion(): BelongsTo
    {
        return $this->belongsTo(QuizQuestion::class, 'quiz_question_id');
    }

    public function responses(): HasMany
    {
        return $this->hasMany(QuizResponse::class, 'quiz_answer_id');
    }

    public function scopeOnlyCorrect(Builder $query): Builder
    {
        return $query->where('is_correct', true);
    }
}
