<?php

namespace Drp\NativeEventApp\Quiz;

use Drp\NativeEventApp\Models\Quiz;
use Drp\NativeEventApp\Models\QuizQuestion;
use Drp\NativeEventApp\Quiz\Facades\QuizOperator;

class QuestionOperatorProxy
{
    /**
     * @var \Drp\NativeEventApp\Models\Quiz
     */
    private $quiz;

    /**
     * @var \Drp\NativeEventApp\Models\QuizQuestion
     */
    private $question;

    public function __construct(Quiz $quiz, QuizQuestion $question)
    {
        $this->quiz = $quiz;
        $this->question = $question;
    }

    public function start(): void
    {
        QuizOperator::startQuestion($this->quiz, $this->question);
    }

    public function end(): void
    {
        QuizOperator::endQuestion($this->quiz, $this->question);
    }

    public function revealAnswer(): void
    {
        QuizOperator::revealAnswer($this->quiz, $this->question);
    }
}
