<?php

namespace Drp\NativeEventApp\Test\Unit\Modules;

use Drp\NativeEventApp\Exceptions\InvalidModule;
use Drp\NativeEventApp\Modules\Modules;
use Drp\NativeEventApp\Modules\Types\Image;
use Drp\NativeEventApp\Test\Support\Fakes\Modules\ContainerModule;
use Drp\NativeEventApp\Test\Support\Fakes\Modules\FakeModule;
use Drp\NativeEventApp\Test\Support\InteractsWithModules;
use Drp\NativeEventApp\Test\TestCase;

class ContainerModulesTest extends TestCase
{
    use InteractsWithModules;

    /**
     * @test
     */
    public function can_set_a_modules_children()
    {
        $container = ContainerModule::make('container');
        $moduleA = FakeModule::make('moduleA');
        $moduleB = FakeModule::make('moduleB');

        $this->assertTrue($container->canHaveChildren());
        $container->children(Modules::make([$moduleA, $moduleB]));

        $this->assertTrue($container->hasChildren());
        $this->assertContains($moduleA, $container->getChildren()->all());
        $this->assertContains($moduleB, $container->getChildren()->all());
    }
}
