<?php

namespace Drp\NativeEventApp\Test\Unit\Modules;

use Drp\NativeEventApp\Facades\ModulesUnSerializer;
use Drp\NativeEventApp\Modules\Types\VRVideo;
use Drp\NativeEventApp\Test\TestCase;

class VRVideoTest extends TestCase
{
    /** @test */
    public function is_serializable(): void
    {
        $src = 'http://www.example.com/video.mp4';
        $video = VRVideo::make($src);

        $serializedModule = json_encode([$video]);
        $module = ModulesUnSerializer::getModulesFromString($serializedModule)->first();

        $this->assertInstanceOf(VRVideo::class, $module);
        $this->assertEquals($src, $module->src);
    }
}
